## ros-foxy-rosbag2-transport 0.3.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_transport)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rcl REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosbag2_compression REQUIRED)
find_package(rosbag2_cpp REQUIRED)
find_package(rosbag2_storage REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)
find_package(shared_queues_vendor REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2_transport/player.cpp
  src/rosbag2_transport/formatter.cpp
  src/rosbag2_transport/generic_publisher.cpp
  src/rosbag2_transport/generic_subscription.cpp
  src/rosbag2_transport/qos.cpp
  src/rosbag2_transport/recorder.cpp
  src/rosbag2_transport/rmw_time.c
  src/rosbag2_transport/rosbag2_node.cpp
  src/rosbag2_transport/rosbag2_transport.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(${PROJECT_NAME}
  rcl
  rclcpp
  rcutils
  rmw
  rosbag2_compression
  rosbag2_cpp
  shared_queues_vendor
  yaml_cpp_vendor
)

include(cmake/configure_python.cmake)
ament_python_install_package(${PROJECT_NAME})
add_library(rosbag2_transport_py
  SHARED
  src/rosbag2_transport/rosbag2_transport_python.cpp)
configure_python_c_extension_library(rosbag2_transport_py)
target_link_libraries(rosbag2_transport_py rosbag2_transport)
ament_target_dependencies(rosbag2_transport_py
  rosbag2_compression
  rosbag2_cpp
  rosbag2_storage
  rmw
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_TRANSPORT_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(rosbag2_cpp rosbag2_compression shared_queues_vendor yaml_cpp_vendor)

function(create_tests_for_rmw_implementation)
  rosbag2_transport_add_gmock(test_info
    test/rosbag2_transport/test_info.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all
    test/rosbag2_transport/test_record_all.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_record_all_no_discovery
    test/rosbag2_transport/test_record_all_no_discovery.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_timing
    test/rosbag2_transport/test_play_timing.cpp
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_rosbag2_node
    src/rosbag2_transport/generic_publisher.cpp
    src/rosbag2_transport/generic_subscription.cpp
    src/rosbag2_transport/qos.cpp
    src/rosbag2_transport/rmw_time.c
    src/rosbag2_transport/recorder.cpp
    src/rosbag2_transport/rosbag2_node.cpp
    test/rosbag2_transport/test_rosbag2_node.cpp
    INCLUDE_DIRS
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
      $<INSTALL_INTERFACE:include>
    AMENT_DEPS
      ament_index_cpp
      rclcpp
      rosbag2_cpp
      rosbag2_test_common
      test_msgs
      yaml_cpp_vendor)

  rosbag2_transport_add_gmock(test_formatter
    test/rosbag2_transport/test_formatter.cpp
    src/rosbag2_transport/formatter.cpp
    LINK_LIBS rosbag2_transport)

  rosbag2_transport_add_gmock(test_qos
    src/rosbag2_transport/qos.cpp
    src/rosbag2_transport/rmw_time.c
    test/rosbag2_transport/test_qos.cpp
    INCLUDE_DIRS
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    AMENT_DEPS
      rclcpp
      rosbag2_test_common
      yaml_cpp_vendor)

  # disable the following tests for connext
  # due to slower discovery of nodes
  set(SKIP_TEST "")
  if(${rmw_implementation} MATCHES "(.*)connext(.*)")
    set(SKIP_TEST "SKIP_TEST")
  endif()

  rosbag2_transport_add_gmock(test_record
    test/rosbag2_transport/test_record.cpp
    AMENT_DEPS test_msgs rosbag2_test_common
    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    LINK_LIBS rosbag2_transport
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play
    src/rosbag2_transport/qos.cpp
    src/rosbag2_transport/rmw_time.c
    test/rosbag2_transport/test_play.cpp
    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common
    ${SKIP_TEST})

  rosbag2_transport_add_gmock(test_play_loop
    test/rosbag2_transport/test_play_loop.cpp
    ${SKIP_TEST}
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)

  rosbag2_transport_add_gmock(test_play_topic_remap
    test/rosbag2_transport/test_play_topic_remap.cpp
    ${SKIP_TEST}
    LINK_LIBS rosbag2_transport
    AMENT_DEPS test_msgs rosbag2_test_common)
endfunction()

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  include(cmake/rosbag2_transport_add_gmock.cmake)
  # explicitly disable cppcheck
  set(ament_cmake_cppcheck_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
  call_for_each_rmw_implementation(create_tests_for_rmw_implementation)
endif()

ament_package()

=== debian/changelog ===
ros-foxy-rosbag2-transport (0.3.11-1focal) focal; urgency=high

  * [foxy] Fix YAML_CPP_DLL warnings on Windows (#1353 <https://github.com/ros2/rosbag2/issues/1353>)
  * [backport foxy] Add QoS decoding translation for infinite durations to RMW_DURATION_INFINITE (backport #684 <https://github.com/ros2/rosbag2/issues/684>) (#1088 <https://github.com/ros2/rosbag2/issues/1088>)
  * Copy recorder QoS profile to local variable so that temporary value isn't cleared (#803 <https://github.com/ros2/rosbag2/issues/803>) (#1335 <https://github.com/ros2/rosbag2/issues/1335>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Karsten Knese <karsten@openrobotics.org>  Sat, 27 May 2023 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.10-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.9-1focal) focal; urgency=high

  * Fixed inability to record hidden topics (#835 <https://github.com/ros2/rosbag2/issues/835>)
  * Contributors: Cameron Miller

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 03 Feb 2022 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.8-1focal) focal; urgency=high

  * [backport Foxy] Fixed playing if unknown message types exist (backports #592 <https://github.com/ros2/rosbag2/issues/592>) (#686 <https://github.com/ros2/rosbag2/issues/686>)
  * [backport Foxy] More reliable topic remapping test (backports #456 <https://github.com/ros2/rosbag2/issues/456>) (#817 <https://github.com/ros2/rosbag2/issues/817>)
  * [backport Foxy] Handle SIGTERM gracefully in recording (#809 <https://github.com/ros2/rosbag2/issues/809>)
  * Contributors: Emerson Knapp

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 19 Jul 2021 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.7-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 15 Feb 2021 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.6-1focal) focal; urgency=high

  * Update maintainer list for Foxy (#551 <https://github.com/ros2/rosbag2/issues/551>)
  * Contributors: Michael Jeronimo

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 05 Jan 2021 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.5-1focal) focal; urgency=high

  * resolve memory leak for serialized message (#502 <https://github.com/ros2/rosbag2/issues/502>) (#518 <https://github.com/ros2/rosbag2/issues/518>)
  * Use shared logic for importing the rosbag2_transport_py library in Python (#482 <https://github.com/ros2/rosbag2/issues/482>) (#494 <https://github.com/ros2/rosbag2/issues/494>)
  * Contributors: Emerson Knapp, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 31 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.4-1focal) focal; urgency=high

  * fix missing target dependencies (#479 <https://github.com/ros2/rosbag2/issues/479>) (#481 <https://github.com/ros2/rosbag2/issues/481>)
    Co-authored-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.3-1focal) focal; urgency=high

  * export shared_queues_vendor for modern cmake support (#434 <https://github.com/ros2/rosbag2/issues/434>) (#438 <https://github.com/ros2/rosbag2/issues/438>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.2-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.1-1focal) focal; urgency=high

  * Find rosbag2_cpp (tinyxml2) before rcl (#423 <https://github.com/ros2/rosbag2/issues/423>)
  * Shared publisher handle (#420 <https://github.com/ros2/rosbag2/issues/420>)
  * Contributors: Chris Lalancette, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.3.0-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.8-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#411 <https://github.com/ros2/rosbag2/issues/411>)
  * Contributors: Jacob Perron

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.7-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#406 <https://github.com/ros2/rosbag2/issues/406>)
  * Contributors: Ivan Santiago Paunovic

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.6-1focal) focal; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rosbag2-transport (0.2.5-1focal) focal; urgency=high

  * add topic remapping option to rosbag2 play (#388 <https://github.com/ros2/rosbag2/issues/388>)
  * add missing test dependency (#392 <https://github.com/ros2/rosbag2/issues/392>)
  * use serialized message (#386 <https://github.com/ros2/rosbag2/issues/386>)
  * Adaptive playback qos based on recorded metadata (#364 <https://github.com/ros2/rosbag2/issues/364>)
  * Add loop option to rosbag play (#361 <https://github.com/ros2/rosbag2/issues/361>)
  * Move qos utilities to their own compilation unit (#379 <https://github.com/ros2/rosbag2/issues/379>)
  * Expose BaseReaderInterface's BagMetadata  (#377 <https://github.com/ros2/rosbag2/issues/377>)
  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Fix Action CI tests to pass reliably (#376 <https://github.com/ros2/rosbag2/issues/376>)
  * Update GenericSubscription's handle_message signature (#373 <https://github.com/ros2/rosbag2/issues/373>)


=== debian/control ===
Source: ros-foxy-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-ros, ros-foxy-ament-index-cpp <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-python-cmake-module, ros-foxy-rclcpp, ros-foxy-rmw, ros-foxy-rmw-implementation-cmake <!nocheck>, ros-foxy-rosbag2-compression, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-rosbag2-test-common <!nocheck>, ros-foxy-rpyutils, ros-foxy-shared-queues-vendor, ros-foxy-test-msgs <!nocheck>, ros-foxy-yaml-cpp-vendor, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-python-cmake-module, ros-foxy-rclcpp, ros-foxy-rmw, ros-foxy-rosbag2-compression, ros-foxy-rosbag2-cpp, ros-foxy-rosbag2-storage, ros-foxy-rpyutils, ros-foxy-shared-queues-vendor, ros-foxy-yaml-cpp-vendor, ros-foxy-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rosbag2-transport//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
